import time
import math
import RA

comport = 17
RA.OpenBluetooth(comport)

#Delay to allow coms to flush
time.sleep(1.0)

#Store position angles
RA.StoreCoords(0,167,14,54,90,31)  	#Over Pos A
RA.StoreCoords(1,167,0,59,90,31)	#On Pos A
RA.StoreCoords(2,17,14,54,90,31)	#Over Pos B
RA.StoreCoords(3,17,0,59,90,31)		#On Pos B
RA.StoreCoords(4,9,100,110,90,31)	#Over Colour Sensor
RA.StoreCoords(5,9,78,115,74,31)	#On Colour Sensor
RA.StoreCoords(6,131,0,43,158,31)	#On Red
RA.StoreCoords(7,106,0,68,158,31)	#On Green
RA.StoreCoords(8,78,0,68,158,31)	#On Blue
RA.StoreCoords(9,54,0,43,158,31)	#On Yellow

#Goto Position A and pick up object
RA.GotoPosition(0)
RA.GripperOpen()
RA.GotoPosition(1)
hasObj = RA.GripperClose(50)
RA.GotoPosition(0)

#If we have an object then take to colour sensor
if hasObj==1:
    RA.GotoPosition(4)
    RA.GotoPosition(5)
    Col = RA.ReadColour()
    CR = RA.ReadColourChannel(0,Col)
    CG = RA.ReadColourChannel(1,Col)
    CB = RA.ReadColourChannel(2,Col)
    RA.GotoPosition(4)
    if CR>200 && CG>200:
        RA.GotoPosition(9)
    if CR>CG && CR>CB:
        RA.GotoPosition(7)
    if CG>CR && CG>CB:
        RA.GotoPosition(8)
    if CB>CR && CB>CG:
        RA.GotoPosition(6)
    RA.GripperOpen()

RA.Park()
    
